Summary:	An editor for the GConf configuration system
Summary(pl.UTF-8):	Edytor do systemu konfiguracji GConf
Name:		gconf-editor
Version:	3.0.1
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gconf-editor/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	107b8fa250da4ae2de197a1381a099f5
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An editor for the GConf configuration system.

%description -l pl.UTF-8
Edytor do systemu konfiguracji GConf.

%prep
%setup -q

%build
%{__intltoolize}
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install gconf-editor.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gconf-editor.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gconf-editor
%{_desktopdir}/gconf-editor.desktop
%{_iconsdir}/hicolor/*/*/*.png
%dir %{_datadir}/gconf-editor
%{_datadir}/gconf-editor/icons
%{_mandir}/man1/gconf-editor.1*
%{_sysconfdir}/gconf/schemas/gconf-editor.schemas
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gconf-editor.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 04dd91e
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a84c760
- updated gettext BR

* Fri Nov 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b95b1da
- updated md5

* Fri Nov 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9ef0bf8
- updated to 3.0.1

* Mon Apr 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 63761b2
- updated to 3.0.0; merged from DEVEL

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> e07d834
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> ea639c7
- Requires(post,postun): gtk-update-icon-cache

* Fri Nov 19 2010 hawk <hawk@pld-linux.org> 93d556e
- fixed last commit log

* Tue Oct 12 2010 qwiat <qwiat@pld-linux.org> 1d873dc
- updated to 2.32.0

* Wed Mar 31 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7499bfd
- updated to 2.30.0

* Fri Dec 18 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 764fdb1
- updated to 2.28.0

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 1fd982c
- BR: docbook-dtd412-xml, libselinux-devel, libxml2-progs

* Tue Mar 17 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a083bf7
- updated to 2.26.0

* Thu Oct 23 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a3ad85b
- updated to 2.24.1

* Sat Sep 27 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d1b00ee
- updated to 2.24.0.1

* Wed Mar 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ffad960
- updated to 2.22.0
- use better way to fix locale name
- use --with-omf
- more verbose files

* Sun Nov 04 2007 ankry <ankry@pld-linux.org> abe821d
- sr@Latn -> sr@latin, rel. 2

* Wed Sep 19 2007 Patryk Zawadzki <patrys@room-303.com> a6bd023
- libgnomeui not released yet

* Wed Sep 19 2007 Patryk Zawadzki <patrys@room-303.com> 6e08d72
- 2.20.0

* Thu Aug 30 2007 Marcin Banasiak <marcin.banasiak@gmail.com> aa7b889
- updated to 2.18.2

